package com.unis.detectionnum.server.dao;

import org.springframework.stereotype.Repository;

import com.unis.detectionnum.server.entity.TcAlarmGenerateDetailDO;

@Repository
public interface TcAlarmGenerateDetailDao {
	
    int deleteByPrimaryKey(String generateDetailNo);

    int insert(TcAlarmGenerateDetailDO record);

    int insertSelective(TcAlarmGenerateDetailDO record);

    TcAlarmGenerateDetailDO selectByPrimaryKey(String generateDetailNo);

    int updateByPrimaryKeySelective(TcAlarmGenerateDetailDO record);

    int updateByPrimaryKey(TcAlarmGenerateDetailDO record);
}